Zydis v4.1.1

Loading...
Searching...
No Matches
Segment.h File Reference

Functions and types providing encoding information about individual instruction bytes. More...

`#include <Zycore/Defines.h>`
`#include <Zydis/DecoderTypes.h>`
`#include <Zydis/Status.h>`

Go to the source code of this file.

## Data Structures
struct | ZydisInstructionSegments_
| Defines the ZydisInstructionSegments struct. More...

## Macros
#define | ZYDIS_MAX_INSTRUCTION_SEGMENT_COUNT 9

## Typedefs
typedef enum ZydisInstructionSegment_ | ZydisInstructionSegment
| Defines the ZydisInstructionSegment struct.
typedef struct ZydisInstructionSegments_ | ZydisInstructionSegments
| Defines the ZydisInstructionSegments struct.

## Enumerations
enum | ZydisInstructionSegment_ { ZYDIS_INSTR_SEGMENT_NONE , ZYDIS_INSTR_SEGMENT_PREFIXES , ZYDIS_INSTR_SEGMENT_REX , ZYDIS_INSTR_SEGMENT_XOP , ZYDIS_INSTR_SEGMENT_VEX , ZYDIS_INSTR_SEGMENT_EVEX , ZYDIS_INSTR_SEGMENT_MVEX , ZYDIS_INSTR_SEGMENT_OPCODE , ZYDIS_INSTR_SEGMENT_MODRM , ZYDIS_INSTR_SEGMENT_SIB , ZYDIS_INSTR_SEGMENT_DISPLACEMENT , ZYDIS_INSTR_SEGMENT_IMMEDIATE , ZYDIS_INSTR_SEGMENT_MAX_VALUE = ZYDIS_INSTR_SEGMENT_IMMEDIATE , ZYDIS_INSTR_SEGMENT_REQUIRED_BITS = ZYAN_BITS_TO_REPRESENT(ZYDIS_INSTR_SEGMENT_MAX_VALUE) }
| Defines the ZydisInstructionSegment struct. More...

## Functions
ZYDIS_EXPORT ZyanStatus | ZydisGetInstructionSegments (const ZydisDecodedInstruction *instruction, ZydisInstructionSegments *segments)
| Returns offsets and sizes of all logical instruction segments (e.g.

## Detailed Description

Functions and types providing encoding information about individual instruction bytes.